# Terminal Configuration

## terminfo

Enable italic and bold text in `xterm-256color`, `screen-256color`, and
`tmux-256color` using user [terminfo][terminfo] database compiler [tic][tic].

* `sitm` enter italics mode, set to `\E[3m` which enables italics
* `ritm` exit italics mode, set to `\E[23m` which disables italics
* `smso` enter standout mode, set to `\E[7m` which enables bold
* `rmso` exit standout mode, set to `\E[27m` which disabled bold

To compile a [terminfo][terminfo] database for the current user, output to
`~/.terminfo`, use the following command.

```
$ tic xterm-256color.terminfo
```

## readline

Enable vi mode in tools which use [readline][readline] e.g. [gdb][gdb], setup
vim like mappings for navigation. Settings are placed in `~/.inputrc`.

## editline

Enable vi mode in tools which use [editline][editline] e.g. [lldb][lldb].
Settings are places in `~/.editrc`.

[terminfo]: https://linux.die.net/man/5/terminfo
[tic]: https://linux.die.net/man/1/tic
[readline]: https://linux.die.net/man/3/readline
[gdb]: https://www.gnu.org/software/gdb
[editline]: https://linux.die.net/man/3/editline
[lldb]: https://lldb.llvm.org
